<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="cz.vutbr.feec.utko.NFC_FIle_Transfer"
    android:versionCode="1"
    android:versionName="1.18" android:installLocation="internalOnly">

    <uses-sdk
        android:minSdkVersion="16" android:targetSdkVersion="17"/>

    <uses-feature
        android:name="android.hardware.nfc"
        android:required="true" />
	<uses-feature android:name="android.hardware.bluetooth" />
	
	<uses-permission android:name="android.permission.NFC" />  
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />


    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <activity
            android:name="cz.vutbr.feec.utko.NFC_FIle_Transfer.Uvodni"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="cz.vutbr.feec.utko.NFC_FIle_Transfer.Vyber_souboru"
            android:label="@string/app_name"
            android:parentActivityName="cz.vutbr.feec.utko.NFC_FIle_Transfer.Uvodni"
            android:screenOrientation="portrait" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="cz.vutbr.feec.utko.NFC_FIle_Transfer.Uvodni" />
        </activity>
        <activity
            android:name="cz.vutbr.feec.utko.NFC_FIle_Transfer.Prijem"
            android:label="@string/app_name"
            android:parentActivityName="cz.vutbr.feec.utko.NFC_FIle_Transfer.Uvodni"
            android:screenOrientation="portrait" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="cz.vutbr.feec.utko.NFC_FIle_Transfer.Uvodni" />

            <intent-filter>
                <action android:name="android.nfc.action.NDEF_DISCOVERED" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="text/plain" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.nfc.action.NDEF_DISCOVERED" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="text/url" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.nfc.action.NDEF_DISCOVERED" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="file/*" />
            </intent-filter>
        </activity>
        <activity
            android:name="cz.vutbr.feec.utko.NFC_FIle_Transfer.Prijate_soubory"
            android:label="@string/app_name"
            android:parentActivityName="cz.vutbr.feec.utko.NFC_FIle_Transfer.Uvodni"
            android:screenOrientation="portrait" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="cz.vutbr.feec.utko.NFC_FIle_Transfer.Uvodni" />
        </activity>
        <activity
            android:name="cz.vutbr.feec.utko.NFC_FIle_Transfer.Odesilani"
            android:label="@string/app_name"
            android:parentActivityName="cz.vutbr.feec.utko.NFC_FIle_Transfer.Vyber_souboru"
            android:screenOrientation="portrait" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="cz.vutbr.feec.utko.NFC_FIle_Transfer.Vyber_souboru" />
        </activity>
        <activity
            android:name="group.pals.android.lib.ui.filechooser.FileChooserActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize" android:label="@string/app_name">
        </activity>

        <service android:name="group.pals.android.lib.ui.filechooser.services.LocalFileProvider" >
        </service>

        <activity
            android:name="cz.vutbr.feec.utko.NFC_FIle_Transfer.Vyber_technologie"
            android:label="@string/app_name"
            android:parentActivityName="cz.vutbr.feec.utko.NFC_FIle_Transfer.Vyber_souboru" android:screenOrientation="portrait">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="cz.vutbr.feec.utko.NFC_FIle_Transfer.Vyber_souboru" />
        </activity>
    </application>

</manifest>